# OgreOptimisedUtil.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreEdgeListBuilder.h"`

Go to the source code of this file.

## Classes

class | Ogre::OptimisedUtil
| Utility class for provides optimised functions. More...

## Namespaces

namespace | Ogre

## Functions

template<class T >
static FORCEINLINE T * | Ogre::rawOffsetPointer (T *ptr, ptrdiff_t offset)
| Returns raw offseted of the given pointer.
template<class T >
static FORCEINLINE void | Ogre::advanceRawPointer (T *&ptr, ptrdiff_t offset)
| Advance the pointer with raw offset.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52